Bug 628477 - VNC install: -nevershared passed to Xvnc results in inability to control install
VNC install: -nevershared passed to Xvnc results in inability to control install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-30 03:32 EDT by Ambarish Sridharanarayanan
Modified: 2012-08-07 15:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 846583 (view as bug list)
Environment:
Last Closed: 2012-08-07 15:41:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ambarish Sridharanarayanan 2010-08-30 03:32:40 EDT
Description of problem:

I was installing Fedora 13 over VNC, with TigerVNC on Windows as the client. I lost VNC connectivity, but trying to reconnect failed with the error message:

"The server is already in use"

I couldn't reconnect to the running Anaconda session, and I didn't want to restart the install. Looks like the reason is the combination of options passed to Xvnc server:

IdleTimeout=0
-nevershared

Version-Release number of selected component (if applicable):
13.42-1

How reproducible:

Steps to Reproduce:
1. Attempt to install over VNC
2. "Lose" connectivity, say by shutting down the network on the client
3. Try to reconnect to the VNC session
  
Actual results:
No way to reconnect

Expected results:
Should time-out after a while, or allow shared connections

Additional info:
FWIW, I eventually worked around the issue and regained access to my install session.

http://lists.fedoraproject.org/pipermail/users/2010-August/381766.html
Comment 1 Chris Lumens 2010-09-01 10:11:06 EDT
Radek - I don't remember why we use -nevershared here.  Could you investigate?  Thanks.
Comment 2 Bug Zapper 2011-05-31 11:03:54 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ambarish Sridharanarayanan 2011-05-31 12:24:40 EDT
Bumping up to 15.
Comment 4 Fedora End Of Life 2012-08-07 15:41:21 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.